local L = AceLibrary("AceLocale-2.2"):new("GrindStatusShattrath")

L:RegisterTranslations("enUS", function() return {
	["The Sha'tar"] = true,
	
	["The Scryers"] = true,
	
	["The Aldor"] = true,
	
	["Lower City"] = true,
} end)

local catorder = 10

GrindStatusTheShaTar = GrindStatus:NewModule("TheShaTar")

function GrindStatusTheShaTar:OnInitialize()
	GrindStatus:InitPlugin(L["The Sha'tar"], "TheShaTar", catorder)
end
function GrindStatusTheShaTar:OnEnable()
	GrindStatus.ToTrack[L["The Sha'tar"]] = {
		["english"] = "The Sha'tar",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
		["items"] = 0,
	}
end
function GrindStatusTheShaTar:OnDisable()
	GrindStatus.ToTrack[L["The Sha'tar"]] = nil
end

GrindStatusTheScryers = GrindStatus:NewModule("TheScryers")

function GrindStatusTheScryers:OnInitialize()
	GrindStatus:InitPlugin(L["The Scryers"], "TheScryers", catorder)
end
function GrindStatusTheScryers:OnEnable()
	GrindStatus.ToTrack[L["The Scryers"]] = {
		["english"] = "The Scryers",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
		["items"] = 3,
		["item1"] = 29426,--marks
		["item1step"] = 25,
		["item2"] = 25744,--basilisk eyes?
		["item2step"] = 250/8,
		["item3"] = 30810,--sunfury signets?
		["item3step"] = 25,
	}
end
function GrindStatusTheScryers:OnDisable()
	GrindStatus.ToTrack[L["The Scryers"]] = nil
end

GrindStatusTheAldor = GrindStatus:NewModule("TheAldor")

function GrindStatusTheAldor:OnInitialize()
	GrindStatus:InitPlugin(L["The Aldor"], "TheAldor", catorder)
end
function GrindStatusTheAldor:OnEnable()
	GrindStatus.ToTrack[L["The Aldor"]] = {
		["english"] = "The Aldor",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
		["items"] = 2,
		["item1"] = 29425,--marks
		["item1step"] = 25,
		["item2"] = 30596,--tablets?
		["item2step"] = 250/12,
	}
end
function GrindStatusTheAldor:OnDisable()
	GrindStatus.ToTrack[L["The Aldor"]] = nil
end

GrindStatusLowerCity = GrindStatus:NewModule("LowerCity")

function GrindStatusLowerCity:OnInitialize()
	GrindStatus:InitPlugin(L["Lower City"], "LowerCity", catorder)
end
function GrindStatusLowerCity:OnEnable()
	GrindStatus.ToTrack[L["Lower City"]] = {
		["english"] = "Lower City",
		["startrepvalue"] = 0,
		["endrepvalue"] = 42000,
		["quests"] = 0,
		["items"] = 0,
	}
end
function GrindStatusLowerCity:OnDisable()
	GrindStatus.ToTrack[L["Lower City"]] = nil
end